Skip to content
API referenceConsumerBilling

Preview_coupon

POST
/consumer/v1/billing/coupons/preview

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/consumer/v1/billing/coupons/preview" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Content-Type: application/json" \  -d '{    "code": "string"  }'
{  "code": "string",  "coupon_id": "97ffaabb-eb3d-43ed-8769-a889d53b9a3d",  "currency": "string",  "discount_minor": 0,  "kind": "string",  "reason": "string",  "valid": true,  "value_minor": 0}